# TdApi.CreateNewSupergroupChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CreateNewSupergroupChat

Package it.tdlight.jni

# Class TdApi.CreateNewSupergroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.CreateNewSupergroupChat

Enclosing class:
  TdApi

    public static class TdApi.CreateNewSupergroupChat
    extends TdApi.Function

Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `description` | Chat description; 0-255 characters.
`boolean` | `forImport` | True, if the supergroup is created for importing messages using importMessage.
`boolean` | `isChannel` | True, if a channel chat needs to be created.
`TdApi.ChatLocation` | `location` | Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
`String` | `title` | Title of the new chat; 1-128 characters.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CreateNewSupergroupChat()` | Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
`CreateNewSupergroupChat​(DataInput input)` |
`CreateNewSupergroupChat​(String title, boolean isChannel, String description, TdApi.ChatLocation location, boolean forImport)` | Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Title of the new chat; 1-128 characters.

### isChannel

public boolean isChannel
True, if a channel chat needs to be created.

### description

public String description
Chat description; 0-255 characters.

### location

public TdApi.ChatLocation location
Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.

### forImport

public boolean forImport
True, if the supergroup is created for importing messages using importMessage.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CreateNewSupergroupChat

public CreateNewSupergroupChat()
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

### CreateNewSupergroupChat

public CreateNewSupergroupChat​(String title, boolean isChannel, String description, TdApi.ChatLocation location, boolean forImport)
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

Parameters:
  `title` - String Title of the new chat; 1-128 characters.
  `isChannel` - boolean True, if a channel chat needs to be created.
  `description` - String Chat description; 0-255 characters.
  `location` - ChatLocation Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
  `forImport` - boolean True, if the supergroup is created for importing messages using importMessage.

### CreateNewSupergroupChat

public CreateNewSupergroupChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`